LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   Slackware (http://www.linuxquestions.org/questions/slackware-14/)
-   -   ./nginx.SlackBuild problem (http://www.linuxquestions.org/questions/slackware-14/nginx-slackbuild-problem-4175500268/)

michaelpar24 04-02-2014 03:12 AM

./nginx.SlackBuild problem
 
Good Day to all!!

I'm a newbie to linux and i'm still learning slackware. I encountered a problem when i was installing nginx. When i enter ./nginx.SlackBuild it works at first but when it ends it states below problem:

==> Your Makefile has been rebuilt. <==
==> Please rerun the make command. <==
false
make[2]: *** [Makefile] Error 1
make[2]: Leaving directory `/tmp/SBo/nginx-1.2.6/objs/src/http/modules/perl'
make[1]: *** [objs/src/http/modules/perl/blib/arch/auto/nginx/nginx.so] Error 2
make[1]: Leaving directory `/tmp/SBo/nginx-1.2.6'
make: *** [build] Error 2


Please help ....
Thank you and God Bless to everyone...

willysr 04-02-2014 06:37 AM

You are using an old SlackBuild
The latest version of nginx on SBo is 1.4.1, not 1.2.6

Cesare 04-04-2014 07:50 AM

I wouldn't recommend using nginx from SBo... it hasn't been updated in a year and 1.4.1 contains numerous bugs and at least one critical vulnerability (CVE-2013-4547) compared to the current 1.4.7 in the stable series.

kfritz 04-04-2014 08:55 AM

You can usually build the latest by specifying the VERSION when running the SlackBuild. E.G.:
Code:

# VERSION=1.4.7 sh nginx.SlackBuild

dugan 04-04-2014 01:11 PM

Quote:

Originally Posted by Cesare (Post 5146497)
I wouldn't recommend using nginx from SBo... it hasn't been updated in a year and 1.4.1 contains numerous bugs and at least one critical vulnerability (CVE-2013-4547) compared to the current 1.4.7 in the stable series.

It also removes the included pages 40x and 50x error pages. I contacted the maintainer about that, and he simply denied that the files were being removed. I then pointed out exactly where in the SlackBuild this was happening, and he didn't reply (or fix it).

My LEMP Howto includes a patch against the SlackBuild, to fix that, and to also set the document root to /var/www/ngdocs. Apart from that, you can use the SBo SlackBuild (with out without my patch) to build the latest version; just edit the SlackBuild to change the VERSION variable, or do as kfritz recommended above.

michaelpar24 04-18-2014 08:39 AM

Hi Everyone,


Sorry for the late response...


I've solved the problem by updating the time and date of my computer. It appears that i have wrong date and time when i'm installing it.

And also used the latest version of 1.4.7.


Thank you very much for all of your response and it Helps me a lot!

God Bless all ^_^


All times are GMT -5. The time now is 04:47 AM.